std::system_error Class Reference
Exceptions
Inheritance diagram for std::system_error:
[legend]

## Public Member Functions

| system_error (error_code __ec=error_code())
| system_error (error_code __ec, const string &__what)
| system_error (int __v, const error_category &__ecat)
| system_error (int __v, const error_category &__ecat, const string &__what)
const error_code & | code () const noexcept
virtual const char * | what () const noexcept

## Detailed Description

Thrown to indicate error code of underlying system.

Definition at line 312 of file system_error.

## Member Function Documentation

virtual const char* std::runtime_error::what | ( |  | ) | const

virtualnoexceptinherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- system_error